package cz.itnetwork

/*
 *  _____ _______         _                      _
 * |_   _|__   __|       | |                    | |
 *   | |    | |_ __   ___| |___      _____  _ __| | __  ___ ____
 *   | |    | | '_ \ / _ \ __\ \ /\ / / _ \| '__| |/ / / __|_  /
 *  _| |_   | | | | |  __/ |_ \ V  V / (_) | |  |   < | (__ / /
 * |_____|  |_|_| |_|\___|\__| \_/\_/ \___/|_|  |_|\_(_)___/___|
 *                   ___
 *                  |  _|___ ___ ___
 *                  |  _|  _| -_| -_|  LICENCE
 *                  |_| |_| |___|___|
 *
 * IT ZPRAVODAJSTVÍ  <>  PROGRAMOVÁNÍ  <>  HW A SW  <>  KOMUNITA
 *
 * Tento zdrojový kód pochází z IT sociální sítě WWW.ITNETWORK.CZ
 *
 * Můžete ho upravovat a používat jak chcete, musíte však zmínit
 * odkaz na http://www.itnetwork.cz
 */

fun main(args: Array<String>) {
    val kostka = Kostka(10)
    val bojovnik = Bojovnik("Zalogren", 100, 20, 10, kostka)

    println("Život po útoku: ${bojovnik.grafickyZivot()}") // // test GrafickyZivot()

    // útok na našeho bojovníka
    val souper = Bojovnik("Shadow", 60, 18, 15, kostka)
    souper.utoc(bojovnik)
    println(souper.vratPosledniZpravu())
    println(bojovnik.vratPosledniZpravu())

    println("Život: ${bojovnik.grafickyZivot()}")
}